com.pdfunit.validators

## Class MultiDocumentXMPValidator

- java.lang.Object
- - com.pdfunit.validators.MultiDocumentXMPValidator

-     @DoNotObfuscate
      public final class MultiDocumentXMPValidator
      extends java.lang.Object

  This class is a wrapper around the XMPValidator to validate XMP data in multiple PDF documents.
  Since:
    2016.05
  Author:
    Carsten Siedentop, March 2016
  See Also:
    `XMPValidator`

- - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `MultiDocumentXMPValidator(MultiDocumentValidator backReference)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `MultiDocumentValidator` | `hasNoXMPData()` This method processes the given XPath expression against the XMP data of each PDF document.
    `MultiDocumentXMPValidator` | `hasXMPData()` Validating that each document of the given set of PDF documents has XMP data.
    `MultiDocumentXMPValidator` | `matchingXPath(XPathExpression xpath)` This method processes the given XPath expression against the XMP data of each PDF document.
    `MultiDocumentXMPValidator` | `withNode(XMLNode node)` This method validates the node name and value, covered by the instance of XMLNode, against all PDF given documents.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### MultiDocumentXMPValidator

          protected MultiDocumentXMPValidator(MultiDocumentValidator backReference)

  - ### Method Detail

    - #### hasNoXMPData

          public MultiDocumentValidator hasNoXMPData()

      This method processes the given XPath expression against the XMP data of each PDF document.

      The XPath expression must result in a type boolean.

    - #### hasXMPData

          public MultiDocumentXMPValidator hasXMPData()

      Validating that each document of the given set of PDF documents has XMP data.

    - #### matchingXPath

          @Guarded
          public MultiDocumentXMPValidator matchingXPath(XPathExpression xpath)

      This method processes the given XPath expression against the XMP data of each PDF document.

      The XPath expression must result in a type boolean.

    - #### withNode

          @Guarded
          public MultiDocumentXMPValidator withNode(XMLNode node)

      This method validates the node name and value, covered by the instance of XMLNode, against all PDF given documents.

Copyright (C) PDFUnit.com. See here for license.